com.smartgwt.client.widgets.ace

## Class AceAnchor

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.widgets.ace.AceAnchor

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class AceAnchor
      extends BaseClass

  Internal use only.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AceAnchor()`
    `AceAnchor(AceDocument document, int row, int column)`
    `AceAnchor(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Integer` | `getColumn()` Internal use only.
    `AceDocument` | `getDocument()` Internal use only.
    `com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
    `com.google.gwt.core.client.JavaScriptObject` | `getOrCreateJsObj()`
    `static AceAnchor` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Integer` | `getRow()` Internal use only.
    `boolean` | `isCreated()`
    `AceAnchor` | `setColumn(java.lang.Integer column)` Internal use only.
    `AceAnchor` | `setDocument(AceDocument document)` Internal use only.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `AceAnchor` | `setRow(java.lang.Integer row)` Internal use only.

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AceAnchor

          public AceAnchor()

    - #### AceAnchor

          public AceAnchor(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### AceAnchor

          public AceAnchor(AceDocument document,
                           int row,
                           int column)

  - ### Method Detail

    - #### getOrCreateRef

          public static AceAnchor getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `BaseClass`

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Specified by:
        `create` in class `BaseClass`

    - #### isCreated

          public boolean isCreated()

      Overrides:
        `isCreated` in class `BaseClass`

    - #### getJsObj

          public com.google.gwt.core.client.JavaScriptObject getJsObj()

      Overrides:
        `getJsObj` in class `BaseClass`

    - #### getOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject getOrCreateJsObj()

      Overrides:
        `getOrCreateJsObj` in class `BaseClass`

    - #### setColumn

          public AceAnchor setColumn(java.lang.Integer column)
                              throws java.lang.IllegalStateException

      Internal use only.
      Throws:
        `java.lang.IllegalStateException`

    - #### getColumn

          public java.lang.Integer getColumn()

      Internal use only.

    - #### setDocument

          public AceAnchor setDocument(AceDocument document)
                                throws java.lang.IllegalStateException

      Internal use only.
      Throws:
        `java.lang.IllegalStateException`

    - #### getDocument

          public AceDocument getDocument()

      Internal use only.

    - #### setRow

          public AceAnchor setRow(java.lang.Integer row)
                           throws java.lang.IllegalStateException

      Internal use only.
      Throws:
        `java.lang.IllegalStateException`

    - #### getRow

          public java.lang.Integer getRow()

      Internal use only.